curl --request PUT \
--url https://services.leadconnectorhq.com/conversations/{conversationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "tDtDnQdgm2LXpyiqYvZ6",
"unreadCount": 1,
"starred": true,
"feedback": {}
}
'{
"success": true,
"conversation": {
"locationId": "tDtDnQdgm2LXpyiqYvZ6",
"contactId": "tDtDnQdgm2LXpyiqYvZ6",
"deleted": false,
"id": "tDtDnQdgm2LXpyiqYvZ6",
"assignedTo": "tDtDnQdgm2LXpyiqYvZ6",
"userId": "tDtDnQdgm2LXpyiqYvZ6",
"lastMessageBody": "Hello, this is the message body",
"lastMessageDate": "1628008053263",
"lastMessageType": "TYPE_CALL",
"unreadCount": 1,
"inbox": true,
"starred": true
}
}Update the conversation details based on the conversation ID
curl --request PUT \
--url https://services.leadconnectorhq.com/conversations/{conversationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "tDtDnQdgm2LXpyiqYvZ6",
"unreadCount": 1,
"starred": true,
"feedback": {}
}
'{
"success": true,
"conversation": {
"locationId": "tDtDnQdgm2LXpyiqYvZ6",
"contactId": "tDtDnQdgm2LXpyiqYvZ6",
"deleted": false,
"id": "tDtDnQdgm2LXpyiqYvZ6",
"assignedTo": "tDtDnQdgm2LXpyiqYvZ6",
"userId": "tDtDnQdgm2LXpyiqYvZ6",
"lastMessageBody": "Hello, this is the message body",
"lastMessageDate": "1628008053263",
"lastMessageType": "TYPE_CALL",
"unreadCount": 1,
"inbox": true,
"starred": true
}
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-04-15 Conversation ID as string
"tDtDnQdgm2LXpyiqYvZ6"
Was this page helpful?